# qrr.py

Erstelle ein vektorisierter QR Code für die [QR Rechnung](
https://www.einfach-zahlen.ch/de/home/issuer/qr-bill.html).

Das Programm validiert die txt Datei nicht, sondern schriebt direkt eine
SVG Datei daraus.


## Installationsanleitung

Zuerst müssen Sie [Python3](https://www.python.org/)
für Ihr Betriebssystem installieren.

Mit `pip3 install --user qrcode svgutils chardet` können sie sich die
notwendigen Pakete herunterladen.

Für die Cario Version `qrr.cario.py` muss auch
`pip3 install --user cairosvg`
installiert werden. Diese Version kann die QR Rechunung als png oder pdf
exportieren.


## Ausführen des Programms

Mit `python3 qrr.py Rechnung1.txt Rechnung1.svg` wird das Porgramm
gestartet.
Wenn das Programm keinen Output generiert, so gab es keine Fehler und
die SVG Datei sollte erstellt sein.


# CH-Kreuz

Diese Graphik ist von [SIX Group AG](
https://www.paymentstandards.ch/de/home/software-partner.html) zur
Verfügung gestellt. Der direkte Download ist dieser:
https://www.paymentstandards.ch/dam/downloads/swiss-cross.zip
