#!/usr/bin/env python3

import svgutils.transform as st


def swisscross():
    return st.fromstring(
        '<svg width="49.5mm" height="49.5mm" version="1.1" viewBox="0 0 49.5 49.5" xmlns="http://www.w3.org/2000/svg">\
        <style type="text/css">.st0{fill:#FFFFFF;}\
        .st1{fill:none;stroke:#FFFFFF;stroke-width:1.4357;stroke-miterlimit:10;}</style>\
        <style type="text/css">.st0{fill:#FFFFFF;}\
        .st1{fill:none;stroke:#FFFFFF;stroke-width:1.4357;stroke-miterlimit:10;}</style>\
        <polygon transform="matrix(.34905 0 0 .34905 21.294 21.294)" points="0.7 18.3 0.7 19.1 1.6 19.1 18.3 19.1 19.1 19.1 19.1 18.3 19.1 1.6 19.1 0.7 18.3 0.7 1.6 0.7 0.7 0.7 0.7 1.6"/>\
        <rect class="st0" x="24.192" y="22.691" width="1.1519" height="3.8396" stroke-width=".34905"/>\
        <rect class="st0" x="22.83" y="24.052" width="3.8396" height="1.1519" stroke-width=".34905"/>\
        <polygon class="st1" transform="matrix(.34905 0 0 .34905 21.294 21.294)" points="18.3 19.1 19.1 19.1 19.1 18.3 19.1 1.6 19.1 0.7 18.3 0.7 1.6 0.7 0.7 0.7 0.7 1.6 0.7 18.3 0.7 19.1 1.6 19.1"/>\
        </svg>'
        )

def white():
    return st.fromstring(
        '<svg width="49.5mm" height="49.5mm" version="1.1" viewBox="0 0 49.5 49.5" xmlns="http://www.w3.org/2000/svg">\
         <rect x="0" y="0" width="49.5" height="49.5" fill="#fff"/>\
        </svg>')
